gnutls_anon_allocate_client_credentials(3)

NAME
gnutls_anon_allocate_client_credentials - Used to allocate a credentials structure

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_anon_allocate_client_credentials(gnutls_anon_client_credentials_t * sc);

ARGUMENTS

gnutls_anon_client_credentials_t *       sc
    is a pointer to an gnutls_anon_client_credentials_t structure.

DESCRIPTION
This structure is complex enough to manipulate directly thus this helper function is provided in order to allocate it. Returns a negative value in case of an error.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.